import {Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards} from "@nestjs/common";
import {AdminAuthGuard} from "src/core/guards/admin-auth.guard";
import {Constants} from "src/utils/constants";
import {BlogPageCmsService} from "./blog-page-cms.service";
import {UpdateBlogPageCmsDto} from "./dto/update-blog-page-cms.dto";

@Controller({path: "blog-page-cms", version: Constants.API_VERSION_1})

export class BlogPageCmsController {
    constructor(private readonly service: BlogPageCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateBlogPageCmsDto,
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
