import {EntityRepository, Repository} from "typeorm";
import { LatestNewsCmsEntity } from "./entities/latest-news-cms.entity";
import { UpdateLatestNewsCmsDto } from "./dto/update-latest-news-cms.dto";

@EntityRepository(LatestNewsCmsEntity)
export class LatestNewsCmsRepository extends Repository<LatestNewsCmsEntity> {

    async createEntity(dto: UpdateLatestNewsCmsDto): Promise<LatestNewsCmsEntity | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                subtitle: dto.subtitle,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink,
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateLatestNewsCmsDto, id: string): Promise<LatestNewsCmsEntity | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                subtitle: dto.subtitle,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink,
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<LatestNewsCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}