import {Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards} from "@nestjs/common";
import {AdminAuthGuard} from "src/core/guards/admin-auth.guard";
import {Constants} from "src/utils/constants";
import { UpdateRefundPageCmsDto } from "./dto/update-refund-page-cms.dto";
import { RefundPageCmsService } from "./refund-cms.service";

@Controller({path: "refund-page-cms", version: Constants.API_VERSION_1})

export class RefundPageCmsController {
    constructor(private readonly service: RefundPageCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateRefundPageCmsDto,
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
