import {EntityRepository, Repository} from "typeorm";
import { RefundPageCmsEntity } from "./entities/refund-cms.entity";
import { UpdateRefundPageCmsDto } from "./dto/update-refund-page-cms.dto";

@EntityRepository(RefundPageCmsEntity)
export class RefundPageCmsRepository extends Repository<RefundPageCmsEntity> {

    async createEntity(dto: UpdateRefundPageCmsDto): Promise<RefundPageCmsEntity | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                description: dto.description
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateRefundPageCmsDto, id: string): Promise<RefundPageCmsEntity | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                description: dto.description
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<RefundPageCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}