import { Module } from '@nestjs/common';
import { JwtModule } from '@nestjs/jwt';
import { TypeOrmModule } from '@nestjs/typeorm';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { DoSpacesServicerovider } from 'src/modules/SpacesModule/SpacesService';
import { DoSpacesService } from 'src/modules/SpacesModule/SpacesService/doSpacesService';
import { FileUploadsService } from 'src/modules/file-uploads/file-uploads.service';
import { UsersRepository } from 'src/modules/users/user.repository';
import { ShopPageCmsController } from './shop-page-cms.controller';
import { ShopPageCmsRepository } from './shop-page-cms.repository';
import { ShopPageCmsService } from './shop-page-cms.service';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService,
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ShopPageCmsRepository]),
    ],
    controllers: [ShopPageCmsController],
    providers: [
        ShopPageCmsService,
        JwtHelper,
        FileUploadsService,
        DoSpacesService,
        DoSpacesServicerovider,
    ],
})
export class ShopPageCmsModule { }
