import {Module} from "@nestjs/common";
import {JwtModule} from "@nestjs/jwt";
import {TypeOrmModule} from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import {UsersRepository} from "src/modules/users/user.repository";
import { CollectionPageRepository } from "./collection-page.repository";
import { CollectionPageController } from "./collection-page.controller";
import { CollectionPageService } from "./collection-page.service";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([CollectionPageRepository])
    ],
    controllers: [CollectionPageController],
    providers: [CollectionPageService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class CollectionPageModule {
}
