import {Module} from '@nestjs/common';
import {TypeOrmModule} from '@nestjs/typeorm';
import {ContactModelRepository} from './contact-model.repository';
import {ContactModelController} from './contact-model.controller';
import {ContactModelService} from './contact-model.service';
import {JwtModule} from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import {UsersRepository} from 'src/modules/users/user.repository';
import JwtHelper from 'src/core/jwt/jwt.helper';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ContactModelRepository])
    ],
    controllers: [ContactModelController],
    providers: [ContactModelService, JwtHelper]
})
export class ContactModelModule {
}
