import {Module} from '@nestjs/common';
import {TypeOrmModule} from '@nestjs/typeorm';
import {FooterCollectionSectionRepository} from './footer-collection-section.repository';
import {FooterCollectionSectionController} from './footer-collection-section.controller';
import {FooterCollectionSectionService} from './footer-collection-section.service';
import {JwtModule} from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import {UsersRepository} from 'src/modules/users/user.repository';
import JwtHelper from 'src/core/jwt/jwt.helper';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([FooterCollectionSectionRepository])
    ],
    controllers: [FooterCollectionSectionController],
    providers: [FooterCollectionSectionService, JwtHelper]
})
export class FooterCollectionSectionModule {
}
