import { IsDecimal } from "class-validator";
import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity('gift_card')
export class GiftCard extends CoreEntity {
    @Column()
    name: string;

    @Column({ type: 'longtext', default: null, nullable: true })
    description: string;

    @Column({ default: null, nullable: true })
    image: string;

    @Column()
    price: string;

    @Column()
    @IsDecimal({ default:0.00 })
    cost: number;

    @Column()
    warranty: string;
}
