import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity('product_dump_imports')
export class ProductDumpImport extends CoreEntity {
    @Column({ default: null, nullable: true })
    DumpID: string;

    @Column({ default: null, nullable: true })
    Name: string;

    @Column({ default: null, nullable: true })
    Sku: string;

    @Column({ default: null, nullable: true })
    ParentCategoryName: string;

    @Column({ type: "decimal", precision: 10, scale: 2, default: 0, nullable: true })
    Cost: number;

    @Column({ type: "decimal", precision: 10, scale: 2, default: 0, nullable: true })
    Price: number;

    @Column({ type: "decimal", precision: 10, scale: 2, default: 0, nullable: true })
    DiscountPrice: number;

    @Column({ default: 0 })
    Stock: number;


    @Column({ default: null, nullable: true })
    Weight: string;


    @Column({ default: null, nullable: true })
    OuterShell: string;


    @Column({ default: null, nullable: true })
    Lining: string;


    @Column({ default: null, nullable: true, type: "text" })
    Size: string;

    @Column({ default: null, nullable: true, type: "text" })
    Color: string;

    @Column({ default: null, nullable: true, type: "text" })
    Sale: string;
}
