import { Module } from '@nestjs/common';
import { RefundItemService } from './refund-item.service';
import { RefundItemController } from './refund-item.controller';
import { TypeOrmModule } from '@nestjs/typeorm';
import { PaymentConfigurationRepository } from '../payment-configuration/payment-configuration.repository';
import { RefundItemRepository } from './refund-item.repository';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { UsersRepository } from '../users/user.repository';

@Module({
  imports: [
    JwtModule.registerAsync({
      useClass: JwtConfigService
    }),
    TypeOrmModule.forFeature([
      PaymentConfigurationRepository,
      RefundItemRepository,
      UsersRepository
    ])
  ],
  controllers: [RefundItemController],
  providers: [RefundItemService, JwtHelper]
})
export class RefundItemModule { }
