import { CoreEntity } from 'src/core/core.entity';
import { Column, Entity } from 'typeorm';

@Entity('return_produts')
export class ReturnProduct extends CoreEntity {
  @Column({ default: null, nullable: true })
  orderId: string;

  @Column({ default: null, nullable: true })
  customerId: string;

  @Column({ default: null, nullable: true })
  customerName: string;

  @Column({ default: null, nullable: true })
  productId: string;

  @Column({ default: null, nullable: true })
  productName: string;

  @Column({ default: null, nullable: true })
  quantity: number;

  @Column({
    type: 'decimal',
    precision: 10,
    scale: 2,
    default: 0,
    nullable: true,
  })
  actualPrice: number;

  @Column({
    type: 'decimal',
    precision: 10,
    scale: 2,
    default: 0,
    nullable: true,
  })
  totalPrice: number;

  @Column({ default: null, type: 'longtext', nullable: true })
  note: string;

  @Column({ default: 'Unapproved', nullable: true })
  status: string;
}
