import {Body, Controller, HttpCode, HttpStatus, Post} from '@nestjs/common';
import {Constants} from 'src/utils/constants';
import {RateDto} from './dto/rate.dto';
import {UpsCoreService} from './ups-core.service';

@Controller({
    path: 'ups-core',
    version: Constants.API_VERSION_1
})
export class UpsCoreController {
    constructor(private readonly service: UpsCoreService) {
    }

    @Post('/rates')
    @HttpCode(HttpStatus.OK)
    rateAndTransitTimes(@Body() dto: RateDto) {
        return this.service.rate(dto);
    }

    @Post('/pickup-rate')
    @HttpCode(HttpStatus.OK)
    pickupRate(@Body() dto: RateDto) {
        return this.service.pickupRate(dto);
    }
}
