import {
    Body,
    Controller,
    Get,
    HttpCode,
    HttpStatus,
    Post,
    UseGuards
} from "@nestjs/common";
import {AdminAuthGuard} from "src/core/guards/admin-auth.guard";
import {Constants} from "src/utils/constants";
import { ProductDetailsPageCmsService } from "./product-details-page-cms.service";
import { CreateProductDetailsPageCmsDto } from "./dto/create-product-details-page-cms.dto";

@Controller({path: "product-details-page-cms", version: Constants.API_VERSION_1})

export class ProductDetailsPageCmsController {
    constructor(private readonly service: ProductDetailsPageCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: CreateProductDetailsPageCmsDto,
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
