import {Module} from "@nestjs/common";
import {JwtModule} from "@nestjs/jwt";
import {TypeOrmModule} from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import {UsersRepository} from "src/modules/users/user.repository";
import {DoSpacesServicerovider} from "../../SpacesModule/SpacesService";
import {DoSpacesService} from "../../SpacesModule/SpacesService/doSpacesService";
import {FooterCopyrightSectionService} from "./footer-copyright-section.service";
import {FooterCopyrightSectionController} from "./footer-copyright-section.controller";
import {FooterCopyrightSectionRepository} from "./footer-copyright-section.repository";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([FooterCopyrightSectionRepository])
    ],
    controllers: [FooterCopyrightSectionController],
    providers: [FooterCopyrightSectionService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class FooterCopyrightSectionModule {
}
