import {IsEmpty, IsNotEmpty} from "class-validator";

export class CreateOrderDto {
    @IsNotEmpty()
    readonly shippingAddress: string;

    @IsNotEmpty()
    readonly billingAddress: string;

    @IsNotEmpty()
    readonly coupon: string;

    @IsEmpty()
    readonly remarks: string;

    @IsNotEmpty()
    readonly products: [Object];

    @IsNotEmpty()
    readonly paymentMethodName: string;

    @IsNotEmpty()
    readonly shippingCost: string;

    @IsEmpty()
    shippingType: string;

    @IsEmpty()
    serviceType: string;

    @IsEmpty()
    packagingType: string;

    @IsEmpty()
    weightValue: number;

    @IsEmpty()
    amount: number;

    @IsEmpty()
    ccNum: string;

    @IsEmpty()
    ccExp: string;

    @IsEmpty()
    cvv: string;

    @IsEmpty()
    discountType: string;

    @IsEmpty()
    discountAmount: string;

    @IsEmpty()
    discountTotal: string;

    @IsNotEmpty()
    readonly salesTaxTitle: string;

    @IsNotEmpty()
    readonly salesTaxRate: number;

    @IsNotEmpty()
    readonly salesTaxAmount: string;
}
