import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { ProductColorVariantsRepository } from './product-color-variants.repository';
import { ProductColorVariantsController } from './product-color-variants.controller';
import { ProductColorVariantsService } from './product-color-variants.service';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { UsersRepository } from 'src/modules/users/user.repository';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ProductColorVariantsRepository])
    ],
    controllers: [ProductColorVariantsController],
    providers: [ProductColorVariantsService, JwtHelper]
})
export class ProductColorVariantsModule {}
