import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { UsersRepository } from 'src/modules/users/user.repository';
import { ProductOfferVariantsRepository } from './product-offer-variants.repository';
import { ProductOfferVariantsService } from './product-offer-variants.service';
import { ProductOfferVariantsController } from './product-offer-variants.controller';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ProductOfferVariantsRepository,])
    ],
    controllers: [ProductOfferVariantsController],
    providers: [ProductOfferVariantsService, JwtHelper]
})
export class ProductOfferVariantsModule {}
