import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { ProductSizeGuideRepository } from './product-size-guide.repository';
import { ProductSizeGuideController } from './product-size-guide.controller';
import { ProductSizeGuideService } from './product-size-guide.service';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { UsersRepository } from 'src/modules/users/user.repository';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ProductSizeGuideRepository])
    ],
    controllers: [ProductSizeGuideController],
    providers: [ProductSizeGuideService, JwtHelper]
})
export class ProductSizeGuideModule {}
