import {Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards} from '@nestjs/common';
import {AdminAuthGuard} from 'src/core/guards/admin-auth.guard';
import {Constants} from 'src/utils/constants';
import {UpdateSalesTaxCMSDto} from './dto/update-sales-tax-cms.dto';
import {SalesTaxCMSService} from './sales-tax-cms.service';


@Controller({path: 'sales-tax-cms', version: Constants.API_VERSION_1})

export class SalesTaxCMSController {
    constructor(private readonly service: SalesTaxCMSService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateSalesTaxCMSDto) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
