import {EntityRepository, Repository} from "typeorm";
import {UpdateAboutUsPageCmsDto} from "./dto/update-about-us-page-cms.dto";
import {AboutUsPageCmsEntity} from "./entities/about-us-page-cms.entity";

@EntityRepository(AboutUsPageCmsEntity)
export class AboutUsPageCmsRepository extends Repository<AboutUsPageCmsEntity> {

    async createEntity(dto: UpdateAboutUsPageCmsDto): Promise<AboutUsPageCmsEntity | Error> {
        try {
            const entity = this.create({
                pageTitle: dto.pageTitle,
                sectionTitle: dto.sectionTitle,
                sectionSubTitle: dto.sectionSubTitle,
                image: dto.image,
                achievementTitleOne: dto.achievementTitleOne,
                achievementNumberOne: dto.achievementNumberOne,
                achievementTitleTwo: dto.achievementTitleTwo,
                achievementNumberTwo: dto.achievementNumberTwo,
                achievementTitleThree: dto.achievementTitleThree,
                achievementNumberThree: dto.achievementNumberThree,
                achievementTitleFour: dto.achievementTitleFour,
                achievementNumberFour: dto.achievementNumberFour,
                valueSectionTitle: dto.valueSectionTitle,
                valueSectionSubTitle: dto.valueSectionSubTitle,
                faqSectionTitle: dto.faqSectionTitle,
                faqSectionSubTitle: dto.faqSectionSubTitle
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateAboutUsPageCmsDto, id: string): Promise<AboutUsPageCmsEntity | Error> {
        try {
            await this.update(id, {
                pageTitle: dto.pageTitle,
                sectionTitle: dto.sectionTitle,
                sectionSubTitle: dto.sectionSubTitle,
                image: dto.image,
                achievementTitleOne: dto.achievementTitleOne,
                achievementNumberOne: dto.achievementNumberOne,
                achievementTitleTwo: dto.achievementTitleTwo,
                achievementNumberTwo: dto.achievementNumberTwo,
                achievementTitleThree: dto.achievementTitleThree,
                achievementNumberThree: dto.achievementNumberThree,
                achievementTitleFour: dto.achievementTitleFour,
                achievementNumberFour: dto.achievementNumberFour,
                valueSectionTitle: dto.valueSectionTitle,
                valueSectionSubTitle: dto.valueSectionSubTitle,
                faqSectionTitle: dto.faqSectionTitle,
                faqSectionSubTitle: dto.faqSectionSubTitle
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<AboutUsPageCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}