import {EntityRepository, Repository} from "typeorm";
import {BlogPageCms} from "./entities/blog-page-cms.entity";
import {UpdateBlogPageCmsDto} from "./dto/update-blog-page-cms.dto";

@EntityRepository(BlogPageCms)
export class BlogPageCmsRepository extends Repository<BlogPageCms> {

    async createEntity(dto: UpdateBlogPageCmsDto): Promise<BlogPageCms | Error> {
        try {
            const entity = this.create({
                pageTitle: dto.pageTitle,
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateBlogPageCmsDto, id: string): Promise<BlogPageCms | Error> {
        try {
            await this.update(id, {
                pageTitle: dto.pageTitle,
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<BlogPageCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}