import {Module} from '@nestjs/common';
import {TypeOrmModule} from '@nestjs/typeorm';
import {FooterCompanySectionRepository} from './footer-company-section.repository';
import {FooterCompanySectionController} from './footer-company-section.controller';
import {FooterCompanySectionService} from './footer-company-section.service';
import {JwtModule} from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import {UsersRepository} from 'src/modules/users/user.repository';
import JwtHelper from 'src/core/jwt/jwt.helper';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([FooterCompanySectionRepository])
    ],
    controllers: [FooterCompanySectionController],
    providers: [FooterCompanySectionService, JwtHelper]
})
export class FooterCompanySectionModule {
}
