import {Module} from '@nestjs/common';
import {TypeOrmModule} from '@nestjs/typeorm';
import {FooterServiceSectionRepository} from './footer-service-section.repository';
import {FooterServiceSectionController} from './footer-service-section.controller';
import {FooterServiceSectionService} from './footer-service-section.service';
import {JwtModule} from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import {UsersRepository} from 'src/modules/users/user.repository';
import JwtHelper from 'src/core/jwt/jwt.helper';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([FooterServiceSectionRepository])
    ],
    controllers: [FooterServiceSectionController],
    providers: [FooterServiceSectionService, JwtHelper]
})
export class FooterServiceSectionModule {
}
