import {Module} from "@nestjs/common";
import {JwtModule} from "@nestjs/jwt";
import {TypeOrmModule} from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import {UsersRepository} from "src/modules/users/user.repository";
import {DoSpacesServicerovider} from "../../SpacesModule/SpacesService";
import {DoSpacesService} from "../../SpacesModule/SpacesService/doSpacesService";
import {FooterSocialMediaSectionService} from "./footer-social-media-section.service";
import {FooterSocialMediaSectionController} from "./footer-social-media-section.controller";
import {FooterSocialMediaSectionRepository} from "./footer-social-media-section.repository";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([FooterSocialMediaSectionRepository])
    ],
    controllers: [FooterSocialMediaSectionController],
    providers: [FooterSocialMediaSectionService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class FooterSocialMediaSectionModule {
}
