import {Body, Controller, Get, HttpCode, HttpStatus, Post} from '@nestjs/common';
import {Constants} from 'src/utils/constants';
import {UpdatePaymentConfigurationDto} from './dto/update-payment-configuration.dto';
import {PaymentConfigurationService} from './payment-configuration.service';

@Controller({path: 'payment-configuration', version: Constants.API_VERSION_1})

export class PaymentConfigurationController {
    constructor(private readonly service: PaymentConfigurationService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    // @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdatePaymentConfigurationDto) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
