import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { UsersRepository } from 'src/modules/users/user.repository';
import { DoSpacesService } from 'src/modules/SpacesModule/SpacesService/doSpacesService';
import { DoSpacesServicerovider } from 'src/modules/SpacesModule/SpacesService';
import { ProductCareRepository } from './product-care.repository';
import { ProductCareService } from './product-care.service';
import { ProductCareController } from './product-care.controller';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ProductCareRepository])
    ],
    controllers: [ProductCareController],
    providers: [ProductCareService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class ProductCareModule { }
