import {EntityRepository, Repository} from "typeorm";
import { LooksYouWillLoveCmsEntity } from "./entities/looks-you-will-love-cms.entity";
import { UpdateLooksYouWillLoveCmsDto } from "./dto/update-looks-you-will-love-cms.dto";

@EntityRepository(LooksYouWillLoveCmsEntity)
export class LooksYouWillLoveCmsRepository extends Repository<LooksYouWillLoveCmsEntity> {

    async createEntity(dto: UpdateLooksYouWillLoveCmsDto): Promise<LooksYouWillLoveCmsEntity | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                subtitle: dto.subtitle,
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateLooksYouWillLoveCmsDto, id: string): Promise<LooksYouWillLoveCmsEntity | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                subtitle: dto.subtitle,
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<LooksYouWillLoveCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}