import {Module} from "@nestjs/common";
import {JwtModule} from "@nestjs/jwt";
import {TypeOrmModule} from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import {UsersRepository} from "src/modules/users/user.repository";
import {DoSpacesServicerovider} from "../../SpacesModule/SpacesService";
import {DoSpacesService} from "../../SpacesModule/SpacesService/doSpacesService";
import {TrendingSectionService} from "./trending-section.service";
import {TrendingSectionController} from "./trending-section.controller";
import {TrendingSectionRepository} from "./trending-section.repository";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([TrendingSectionRepository])
    ],
    controllers: [TrendingSectionController],
    providers: [TrendingSectionService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class TrendingSectionModule {
}
