import {Module} from "@nestjs/common";
import {ProductCategoryService} from "./product-category.service";
import {ProductCategoryController} from "./product-category.controller";
import {TypeOrmModule} from "@nestjs/typeorm";
import {ProductCategoryRepository} from "./product-category.repository";
import {JwtModule} from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import {UsersRepository} from "src/modules/users/user.repository";
import {DoSpacesService} from "src/modules/SpacesModule/SpacesService/doSpacesService";
import {DoSpacesServicerovider} from "src/modules/SpacesModule/SpacesService";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ProductCategoryRepository]),
    ],
    controllers: [ProductCategoryController],
    providers: [ProductCategoryService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class ProductCategoryModule {
}