import {Module} from "@nestjs/common";
import {ProductOfferService} from "./product-offer.service";
import {ProductOfferController} from "./product-offer.controller";
import {TypeOrmModule} from "@nestjs/typeorm";
import {ProductOfferRepository} from "./product-offer.repository";
import {JwtModule} from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import {UsersRepository} from "src/modules/users/user.repository";
import {DoSpacesService} from "src/modules/SpacesModule/SpacesService/doSpacesService";
import {DoSpacesServicerovider} from "src/modules/SpacesModule/SpacesService";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ProductOfferRepository]),
    ],
    controllers: [ProductOfferController],
    providers: [ProductOfferService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class ProductOfferModule {
}