import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { UsersRepository } from 'src/modules/users/user.repository';
import { ProductSaleController } from './product-sale.controller';
import { ProductSaleRepository } from './product-sale.repository';
import { ProductSaleService } from './product-sale.service';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ProductSaleRepository])
    ],
    controllers: [ProductSaleController],
    providers: [ProductSaleService, JwtHelper]
})
export class ProductSaleModule { }
