import {Module} from "@nestjs/common";
import {ProductSizeService} from "./product-size.service";
import {ProductSizeController} from "./product-size.controller";
import {TypeOrmModule} from "@nestjs/typeorm";
import {ProductSizeRepository} from "./product-size.repository";
import {JwtModule} from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import {UsersRepository} from "src/modules/users/user.repository";
import {DoSpacesService} from "src/modules/SpacesModule/SpacesService/doSpacesService";
import {DoSpacesServicerovider} from "src/modules/SpacesModule/SpacesService";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ProductSizeRepository]),
    ],
    controllers: [ProductSizeController],
    providers: [ProductSizeService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class ProductSizeModule {
}