import {Module} from '@nestjs/common';
import {JwtModule} from '@nestjs/jwt';
import {TypeOrmModule} from '@nestjs/typeorm';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import {UsersRepository} from '../users/user.repository';
import {SalesTaxController} from './sales-tax.controller';
import {SalesTaxRepository} from './sales-tax.repository';
import {SalesTaxService} from './sales-tax.service';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([SalesTaxRepository])
    ],
    controllers: [SalesTaxController],
    providers: [SalesTaxService, JwtHelper]
})
export class SalesTaxModule {
}
