import {EntityRepository, Repository} from "typeorm";
import { AccountDashboardCmsEntity } from "./entities/account-dashboard-cms.entity";
import { UpdateAccountDashboardCmsDto } from "./dto/update-account-dashboard-cms.dto";

@EntityRepository(AccountDashboardCmsEntity)
export class AccountDashboardCmsRepository extends Repository<AccountDashboardCmsEntity> {

    async createEntity(dto: UpdateAccountDashboardCmsDto): Promise<AccountDashboardCmsEntity | Error> {
        try {
            const entity = this.create({
                description: dto.description,
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateAccountDashboardCmsDto, id: string): Promise<AccountDashboardCmsEntity | Error> {
        try {
            await this.update(id, {
                description: dto.description,
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<AccountDashboardCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}