import {Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards} from "@nestjs/common";
import {AdminAuthGuard} from "src/core/guards/admin-auth.guard";
import {Constants} from "src/utils/constants";
import {FaqPageCmsService} from "./faq-page-cms.service";
import {UpdateFaqPageCmsDto} from "./dto/update-faq-page-cms.dto";

@Controller({path: "faq-page-cms", version: Constants.API_VERSION_1})

export class FaqPageCmsController {
    constructor(private readonly service: FaqPageCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateFaqPageCmsDto,
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
