import {EntityRepository, Repository} from "typeorm";
import { InstagramSectionCmsEntity } from "./entities/instagram-section-cms.entity";
import { UpdateInstagramSectionCmsDto } from "./dto/update-instagram-section-cms.dto";

@EntityRepository(InstagramSectionCmsEntity)
export class InstagramSectionCmsRepository extends Repository<InstagramSectionCmsEntity> {

    async createEntity(dto: UpdateInstagramSectionCmsDto): Promise<InstagramSectionCmsEntity | Error> {
        try {
            const entity = this.create({
                title: dto.title,
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateInstagramSectionCmsDto, id: string): Promise<InstagramSectionCmsEntity | Error> {
        try {
            await this.update(id, {
                title: dto.title,
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<InstagramSectionCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}