import {Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards} from "@nestjs/common";
import {AdminAuthGuard} from "src/core/guards/admin-auth.guard";
import {Constants} from "src/utils/constants";
import { UpdatePrivacyPageCmsDto } from "./dto/update-privacy-page-cms.dto";
import { PrivacyPageCmsService } from "./privacy-cms.service";

@Controller({path: "privacy-page-cms", version: Constants.API_VERSION_1})

export class PrivacyPageCmsController {
    constructor(private readonly service: PrivacyPageCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdatePrivacyPageCmsDto,
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
