import { EntityRepository, Repository } from "typeorm";
import { SitePageTitleCms } from "./entities/site-page-title-cms.entity";
import { CreateOrUpdateBlogPageCmsDto } from "./dto/update-site-page-title-cms.dto";

@EntityRepository(SitePageTitleCms)
export class SitePageTitleCmsRepository extends Repository<SitePageTitleCms> {

    async createEntity(dto: CreateOrUpdateBlogPageCmsDto): Promise<SitePageTitleCms | Error> {
        try {
            const entity = this.create({ ...dto });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: CreateOrUpdateBlogPageCmsDto, id: string): Promise<SitePageTitleCms | Error> {
        try {
            await this.update(id, { ...dto });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<SitePageTitleCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}