import {Module} from '@nestjs/common';
import {JwtModule} from '@nestjs/jwt';
import {TypeOrmModule} from '@nestjs/typeorm';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import {UsersRepository} from '../users/user.repository';
import {EmailKeywordController} from './email-keyword.controller';
import {EmailKeywordRepository} from './email-keyword.repository';
import {EmailKeywordService} from './email-keyword.service';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([EmailKeywordRepository])
    ],
    controllers: [EmailKeywordController],
    providers: [EmailKeywordService, JwtHelper]
})
export class EmailKeywordModule {
}
