import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { ProductSizeVariantsRepository } from './product-size-variants.repository';
import { ProductSizeVariantsController } from './product-size-variants.controller';
import { ProductSizeVariantsService } from './product-size-variants.service';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { UsersRepository } from 'src/modules/users/user.repository';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ProductSizeVariantsRepository])
    ],
    controllers: [ProductSizeVariantsController],
    providers: [ProductSizeVariantsService, JwtHelper]
})
export class ProductSizeVariantsModule {}
