import {Module} from '@nestjs/common';
import {TypeOrmModule} from '@nestjs/typeorm';
import {JwtModule} from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import {UsersRepository} from 'src/modules/users/user.repository';
import {SalesTaxCMSRepository} from './sales-tax-cms.repository';
import {SalesTaxCMSController} from './sales-tax-cms.controller';
import {SalesTaxCMSService} from './sales-tax-cms.service';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([SalesTaxCMSRepository])
    ],
    controllers: [SalesTaxCMSController],
    providers: [SalesTaxCMSService, JwtHelper]
})
export class SalesTaxCMSModule {
}