import {EntityRepository, Repository} from "typeorm";
import {CreateShippingMethodCMSDto} from "./dto/create-shipping-method-cms-dto.dto";
import {UpdateShippingMethodCMSDto} from "./dto/update-shipping-method-cms-dto.dto";
import {ShippingMethodCMS} from "./entities/shipping-method-cms.entity";

@EntityRepository(ShippingMethodCMS)
export class ShippingMethodCMSRepository extends Repository<ShippingMethodCMS> {

    async createEntity(dto: CreateShippingMethodCMSDto): Promise<ShippingMethodCMS | Error> {
        try {
            const entity = this.create({
                // fedexImage: dto.fedexImage,
                upsImage: dto.upsImage,
                // localImage: dto.localImage,
                // fedexDisplayName: dto.fedexDisplayName,
                upsDisplayName: dto.upsDisplayName,
                // localDisplayName: dto.localDisplayName
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async UpdateEntity(dto: UpdateShippingMethodCMSDto, id: string): Promise<ShippingMethodCMS | Error> {
        try {
            await this.update(id, {
                // fedexImage: dto.fedexImage,
                upsImage: dto.upsImage,
                // localImage: dto.localImage,
                // fedexDisplayName: dto.fedexDisplayName,
                upsDisplayName: dto.upsDisplayName,
                // localDisplayName: dto.localDisplayName
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<ShippingMethodCMS[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}