import { Module } from '@nestjs/common';
import { JwtModule } from '@nestjs/jwt';
import { TypeOrmModule } from '@nestjs/typeorm';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { AboutUsPageCmsRepository } from '../CMS/about-us-page-cms/about-us-page-cms.repository';
import { AccountDashboardCmsRepository } from '../CMS/account-dashboard-cms/account-dashboard-cms.repository';
import { BlogPageCmsRepository } from '../CMS/blog-page-cms/blog-page-cms.repository';
import { ClearenceSaleSectionCmsRepository } from '../CMS/clearence-sale-section-cms/clearence-sale-section-cms.repository';
import { ContactUsPageCmsRepository } from '../CMS/contact-us-page-cms/contact-us-page-cms.repository';
import { FaqPageCmsRepository } from '../CMS/faq-page-cms/faq-page-cms.repository';
import { FooterCmsRepository } from '../CMS/footer-cms/footer-cms.repository';
import { HeaderBannerCmsRepository } from '../CMS/header-banner-cms/header-banner-cms.repository';
import { InstagramSectionCmsRepository } from '../CMS/instagram-section-cms/instagram-section-cms.repository';
import { LatestArrivalCmsRepository } from '../CMS/latest-arrival-cms/latest-arrival-cms.repository';
import { LatestNewsCmsRepository } from '../CMS/latest-news-cms/latest-news-cms.repository';
import { LooksYouWillLoveCmsRepository } from '../CMS/looks-you-will-love-cms/looks-you-will-love-cms.repository';
import { PrivacyPageCmsRepository } from '../CMS/privacy-page-cms/privacy-cms.repository';
import { RefundPageCmsRepository } from '../CMS/refund-page-cms/refund-cms.repository';
import { ShopPageCmsRepository } from '../CMS/shop-page-cms/shop-page-cms.repository';
import { TrendingSectionCmsRepository } from '../CMS/trending-section-cms/trending-section-cms.repository';
import { FAQRepository } from '../CRUD/faq/faq.repository';
import { FooterCopyrightSectionRepository } from '../CRUD/footer-copyright-section/footer-copyright-section.repository';
import { InstagramServiceRepository } from '../CRUD/instagram-service/instagram-service.repository';
import { LatestCollectionSectionRepository } from '../CRUD/latest-collection-section/latest-collection-section.repository';
import { SocialMediaLinkRepository } from '../CRUD/social-media-link/social-media-link.repository';
import { ValuesSectionRepository } from '../CRUD/values-section/values-section.repository';
import { BillingAddressRepository } from '../address/billing-address/billing-address.repository';
import { ShippingAddressRepository } from '../address/shipping-address/shipping-address.repository';
import { AuthService } from '../auth/auth.service';
import { BlogPostRepository } from '../blog/blog-post/blog-post.repository';
import { ChangePasswordTokenRepository } from '../change-password-token/change-password-token.repository';
import { EmailNotifierRepository } from '../email-notifier/email-notifier-repository';
import { MailSenderService } from '../mail-sender/mail-sender.service';
import { ProductCareVariantsRepository } from '../product/product-care-variants/product-care-variants.repository';
import { ProductCategoryRepository } from '../product/product-category/product-category.repository';
import { ProductColorVariantsRepository } from '../product/product-color-variants/product-color-variants.repository';
import { ProductColorRepository } from '../product/product-color/product-color.repository';
import { ProductImageGalleryRepository } from '../product/product-image-gallery/product-image-gallery.repository';
import { ProductOfferVariantsRepository } from '../product/product-offer-variants/product-offer-variants.repository';
import { ProductReviewRepository } from '../product/product-review/product-review.repository';
import { ProductSaleVariantsRepository } from '../product/product-sale-variants/product-sale-variants.repository';
import { ProductSaleRepository } from '../product/product-sale/product-sale.repository';
import { ProductSizeVariantsRepository } from '../product/product-size-variants/product-size-variants.repository';
import { ProductSizeRepository } from '../product/product-size/product-size.repository';
import { ProductsRepository } from '../product/product/product.repository';
import { SalesTaxCMSRepository } from '../sales-tax-cms/sales-tax-cms.repository';
import { UsersRepository } from '../users/user.repository';
import { SiteFrontendController } from './site-frontend.controller';
import { SiteFrontendService } from './site-frontend.service';
import { ProductPerksRepository } from '../product/product-perks/product-perks.repository';
import { ProductPerksVariantsRepository } from '../product/product-perks-variants/product-perks-variants.repository';
import { ProductDetailsPageCmsRepository } from '../CMS/product-details-page-cms/product-details-page-cms.repository';
import { SitePageTitleCmsRepository } from '../CMS/site-page-title-cms/site-page-title-cms.repository';
import { OrderRepository } from '../orders/order/order-repository';
import { CouponRepository } from '../coupon/coupon.repository';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService,
        }),
        TypeOrmModule.forFeature([
            UsersRepository,
            ChangePasswordTokenRepository,
            EmailNotifierRepository,
            BlogPostRepository,
            BlogPageCmsRepository,
            AboutUsPageCmsRepository,
            ShopPageCmsRepository,
            ContactUsPageCmsRepository,
            FooterCmsRepository,
            HeaderBannerCmsRepository,
            TrendingSectionCmsRepository,
            FaqPageCmsRepository,
            FAQRepository,
            ValuesSectionRepository,
            FooterCopyrightSectionRepository,
            RefundPageCmsRepository,
            PrivacyPageCmsRepository,
            SocialMediaLinkRepository,
            AccountDashboardCmsRepository,
            LatestArrivalCmsRepository,
            LooksYouWillLoveCmsRepository,
            InstagramSectionCmsRepository,
            LatestNewsCmsRepository,
            ClearenceSaleSectionCmsRepository,
            LatestCollectionSectionRepository,
            InstagramServiceRepository,
            BillingAddressRepository,
            ShippingAddressRepository,
            ProductsRepository,
            ProductCategoryRepository,
            ProductColorRepository,
            ProductSizeRepository,
            ProductSaleRepository,
            ProductSizeVariantsRepository,
            ProductColorVariantsRepository,
            ProductSaleVariantsRepository,
            ProductOfferVariantsRepository,
            ProductImageGalleryRepository,
            ProductCareVariantsRepository,
            ProductReviewRepository,
            SalesTaxCMSRepository,
            ProductPerksRepository,
            ProductPerksVariantsRepository,
            ProductDetailsPageCmsRepository,
            SitePageTitleCmsRepository,
            CouponRepository,
        ]),
    ],
    controllers: [SiteFrontendController],
    providers: [SiteFrontendService, JwtHelper, MailSenderService],
})
export class SiteFrontendModule { }
