import {Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards} from '@nestjs/common';
import {AdminAuthGuard} from 'src/core/guards/admin-auth.guard';
import {Constants} from 'src/utils/constants';
import {UpdateOrCreateUpsConfigurationDto} from './dto/update-create-ups-configuration.dto';
import {UpsConfigurationService} from './ups-configuration.service';

@Controller({path: 'ups-configuration', version: Constants.API_VERSION_1})

export class UpsConfigurationController {
    constructor(private readonly service: UpsConfigurationService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateOrCreateUpsConfigurationDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
